program yd;

uses
  Forms,
  windows,
  Ulogin in 'Ulogin.pas' {Flogin},
  Umain in 'Umain.pas' {fmain},
  Udm in 'Udm.pas' {adodm: TDataModule},
  uyg in 'uyg.pas' {fyg},
  Urk in 'Urk.pas' {frk},
  uxl in 'uxl.pas' {fxl},
  Uypzdk2 in 'Uypzdk2.pas' {fypzdk2},
  Uypzdk in 'Uypzdk.pas' {fypzdk},
  ukl in 'ukl.pas' {Fkl},
  upreview in 'upreview.pas' {fpreview},
  ubs in 'ubs.pas' {fbs},
  uty in 'uty.pas' {fty},
  Upd in 'upd.pas' {fpd},
  ukc in 'ukc.pas' {fkc},
  Uls in 'Uls.pas' {fls},
  Uback in 'Uback.pas' {fback},
  Uac in 'Uac.pas' {Form2},
  ucr in 'ucr.pas' {fcr},
  Upf in 'Upf.pas' {fpf},
  uuser in 'uuser.pas' {Fuser},
  Uuser2 in 'Uuser2.pas' {Fuser2},
  Uxstj in 'Uxstj.pas' {fxstj},
  Udj in 'Udj.pas' {fdj},
  Ukctj in 'Ukctj.pas' {fkctj};

{$R *.res}
  var flash:tfac;conn:boolean;
begin
  Application.Initialize;
  flash:=tfac.Create(application);

  flash.BitBtn1.Visible:=false;
  flash.Label4.Visible:=true;
  flash.Show;
  flash.Update;
  sleep(1000);

  Application.Title := '药店管理系统';
  Application.CreateForm(Tadodm, adodm);
  conn:=true;
 try
  adodm.ydconn.Open;
 except
  conn:=false;
  flash.Label4.Caption:='联接失败，请检验后台数据库状态！';
  flash.Update ;
  sleep(2000);
 
 end;
  if conn then
  begin
  adodm.toper.Open;
  adodm.tuser.Open;
  adodm.typzdk.Open;
  adodm.tkc.Open;
  adodm.tyg.Open;
  adodm.tbm.Open;
  adodm.tdw.Open;
  flash.Label4.Caption:='联接成功！请继续操作'   ;
  flash.Close;
  flash.Free;
  Application.CreateForm(Tfmain, fmain);
  flogin:=tflogin.Create(application);
  flogin.ShowModal;
  flogin.Update;





  Application.CreateForm(Tfypzdk2, fypzdk2);
  
  Application.CreateForm(Tfpreview, fpreview);
  Application.CreateForm(TFuser2, Fuser2);

  Application.Run;
  end
  else
   application.Terminate;

end.
